package org.rcisoft.sys.attendance.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class Attendance {

    // 通行记录主键
    private String recordId;
    // 员工id
    private Integer userId;
    // 员工姓名
    @Excel(name = "姓名", orderNum = "0", width = 20)
    private String peopleName;
    // 手机号
    @Excel(name = "手机号", orderNum = "1", width = 20)
    private String phoneNumber;
    // 所在部门
    @Excel(name = "所在部门", orderNum = "2", width = 20)
    private String deptName;
    // 所在职位
    @Excel(name = "职位", orderNum = "3", width = 20)
    private String positionName;
    // 上班时间
    @Excel(name = "上班时间", orderNum = "4", width = 20)
    private String workShift;
    // 下班时间
    @Excel(name = "下班时间", orderNum = "5", width = 20)
    private String closingTime;
    // 考勤日期
    @Excel(name = "考勤日期", orderNum = "6", width = 20)
    private String kqDate;
    //考勤星期
    @Excel(name = "星期", orderNum = "7", width = 20)
    private String weekday;
    // 通行时间
    private Date crossTime;
    // 在岗时长
    @Excel(name = "在岗时长", orderNum = "8", width = 20)
    private BigDecimal duration;
    // 班次
    @Excel(name = "班次", orderNum = "9", width = 20)
    private String nltBz;
    // 考勤状态
    @Excel(name = "考勤状态", orderNum = "10", width = 20)
    private String kqFlag;
    /**
     * 开始时间
     */
    @Transient
    private Date beginTime;
    //结束时间
    @Transient
    private Date endTime;
    // 第几页
    private Integer pageNu;
    // 每页数量
    private Integer pageSize;
    // 排序方式
    private Integer sort;

    // 上班打卡设备
    private String workDeviceName;
    // 下班打卡设备
    private String officeDeviceName;

    //办公地点1
    @Transient
    private String oneLocation;

    //办公地点2
    @Transient
    private String twoLocation;

    //行政办公楼考勤设备
    @Transient
    private String oneEquipmentIds;

    //制造中心考勤设备
    @Transient
    private String twoEquipmentIds;
}
