package org.rcisoft.sys.attendance.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.rcisoft.core.entity.CyIdEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
* Created with cy on 2022年11月28日 下午4:57:21.
*/
@Data
@TableName("scheduled_result")
public class ScheduledResult extends CyIdIncreEntity<ScheduledResult> {
    /**
     * 任务类型
     */
    private String type;

    /**
     * 考勤日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date kqDate;


    @Transient
    @TableField(exist = false)
    private String phone;

    /**
     * 查询时，开始时间
     */
    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String beginDate;

    /**
     * 查询时，结束时间
     */
    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String endDate;
}

