package org.rcisoft.sys.attendance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
* Created with cy on 2022年11月28日 下午4:57:21.
*/
@Data
@TableName("scheduled_time")
public class ScheduledTime extends CyIdNotDataEntity<ScheduledTime> {


    /**
     * 同步日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date scheduleDate;

    /**
     * 查询时，开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;

    /**
     * 查询时，结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @Transient
    @TableField(exist = false)
    //同步结果  0成功  1失败
    private String result;

    @Transient
    @TableField(exist = false)
    //同步日期传参
    private String date;
}

