package org.rcisoft.sys.attendance.util;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class TimeUtils {
    //验证日期格式是否正确
    public static boolean checkDate(String str, String format) {
        SimpleDateFormat sd = new SimpleDateFormat(format);
        try {
            //此处指定日期/时间解析是否不严格，在true是不严格，false时为严格
            sd.setLenient(false);
            //从给定字符串的开始解析文本，以生成一个日期
            sd.parse(str);
        } catch (Exception e) {
            return false;
        }
        return true;
    }

    // 将时分秒,毫秒域清零
    public static Date getDateNotTime(Date now) {
        Calendar cal1 = Calendar.getInstance();
        cal1.setTime(now);
        cal1.set(Calendar.HOUR_OF_DAY, 0);
        cal1.set(Calendar.MINUTE, 0);
        cal1.set(Calendar.SECOND, 0);
        cal1.set(Calendar.MILLISECOND, 0);
        return cal1.getTime();
    }

    // 将时分秒,毫秒域清零
    public static Date getDateEndDay(Date now) {
        Calendar cal1 = Calendar.getInstance();
        cal1.setTime(now);
        cal1.set(Calendar.HOUR_OF_DAY, 23);
        cal1.set(Calendar.MINUTE, 59);
        cal1.set(Calendar.SECOND, 59);
        return cal1.getTime();
    }

    // 将时分秒,毫秒域清零
    public static Date getDateNotTimeFour(Date now) {
        Calendar cal1 = Calendar.getInstance();
        cal1.setTime(now);
        cal1.set(Calendar.HOUR_OF_DAY, 4);
        cal1.set(Calendar.MINUTE, 0);
        cal1.set(Calendar.SECOND, 0);
        cal1.set(Calendar.MILLISECOND, 0);
        return cal1.getTime();
    }

    // 将时分秒,毫秒域清零
    public static Date getDateEndDayFour(Date now) {
        Calendar cal1 = Calendar.getInstance();
        cal1.setTime(now);
        cal1.add(Calendar.DAY_OF_MONTH,1);
        cal1.set(Calendar.HOUR_OF_DAY, 3);
        cal1.set(Calendar.MINUTE, 59);
        cal1.set(Calendar.SECOND, 59);
        return cal1.getTime();
    }

    public static void main(String[] args) {
        Date date = new Date();
        date = getDateEndDayFour(date);
        System.out.println(date);
    }
    public static long getDatePoor(Date startDate, Date endDate) {
        long lDate1 = startDate.getTime();
        long lDate2 = endDate.getTime();
        long diff = (lDate1 < lDate2) ? (lDate2 - lDate1) : (lDate1 - lDate2);
        return diff;
    }


    public static Date getUpdate() {
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(new Date());
        int i = -1;
        calendar.add(Calendar.DATE,i);
        return calendar.getTime();
    }

    /**
     * 获取当年日期
     */
    public static Date getCurrentYear() {
        Calendar calendar = Calendar.getInstance();// 获取当前日期
        calendar.add(Calendar.YEAR, 0);
        calendar.add(Calendar.DATE, 0);
        calendar.add(Calendar.MONTH, 0);
        calendar.set(Calendar.DAY_OF_YEAR, 1);
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);
        Date time = calendar.getTime();
        return time;
    }

    /**
     * 获取年末日期
     */
    public static Date getCurrentYearEnd() {
        Calendar calendar = Calendar.getInstance();// 获取当前日期
        calendar.add(Calendar.YEAR, 1);
        calendar.add(Calendar.DATE, 0);
        calendar.add(Calendar.MONTH, 0);
        calendar.set(Calendar.DAY_OF_YEAR, 1);
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, -1);
        Date time = calendar.getTime();
        return time;
    }

}
