package org.rcisoft.sys.doordeviceinfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.sys.doordeviceinfo.entity.DoorDeviceInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2022年12月23日 下午2:04:50.
 */
public interface DoorDeviceInfoService {

    /**
    * 保存 门磁设备记录表
    * @param doorDeviceInfo
    * @return
    */
    CyPersistModel persist(DoorDeviceInfo doorDeviceInfo);

    /**
    * 删除 门磁设备记录表
    * @param doorDeviceInfo
    * @return
    */
    CyPersistModel remove(DoorDeviceInfo doorDeviceInfo);
    /**
    * 修改 门磁设备记录表
    * @param doorDeviceInfo
    * @return
    */
    CyPersistModel merge(DoorDeviceInfo doorDeviceInfo);

    /**
    * 根据id查询 门磁设备记录表
    * @param id
    * @return
    */
    DoorDeviceInfo findById(int id);

    /**
    * 分页查询 门磁设备记录表
    * @param doorDeviceInfo
    * @return
    */
    IPage<DoorDeviceInfo> findAllByPagination(CyPageInfo<DoorDeviceInfo> paginationUtility,
              DoorDeviceInfo doorDeviceInfo);


    /**
    * 查询list 门磁设备记录表
    * @param doorDeviceInfo
    * @return
    */
    List<DoorDeviceInfo> findAll(DoorDeviceInfo doorDeviceInfo);


    /**
    * 导出门磁设备记录表
    * @return
    */
    List<DoorDeviceInfo> export(DoorDeviceInfo doorDeviceInfo);

    /***
     * 根究设备的IMEI编码获取设备
     * @param deviceImei
     * @return
     */
    DoorDeviceInfo getDeviceInfoByIMEICode(String deviceImei);


}
