package org.rcisoft.sys.doorreportdata.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import org.rcisoft.core.entity.CyIdIncreEntity;
import java.util.Date;


/**
 * Created with cy on 2022年12月23日 下午1:57:30.
 */
@Data
@TableName("door_report_data")
public class DoorReportData extends CyIdIncreEntity<DoorReportData> {

    /**
     * @desc 设备主键
     * @column device_id
     * @default
     */
    private Long deviceId;

    /**
     * @desc 设备imei编码
     * @column device_imei
     * @default
     */
    private String deviceImei;

    /**
     * @desc 设备上报数据类型
     * open:开门
     * close:关门
     * warn:警告
     * up:设备上线
     * down:设备下线
     * @column data_type
     * @default
     */
    private String dataType;
    /**
     * @desc 设备上报数据内容
     * @column data_val
     * @default
     */
    private String dataVal;
    /**
     * @desc 上报时间
     * @column report_time
     * @default
     */
    private Date reportTime;
    /**
     * @desc 抓拍图像
     * @column capture_pic
     * @default
     */
    private String capturePic;

    /**
     * @desc 抓拍时间
     * @column capture_time
     * @default
     */
    private Date captureTime;

}

