package org.rcisoft.sys.messageinstance.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.springframework.data.annotation.Transient;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2022年11月16日 下午4:37:10.
*/
@Data
@TableName("message_instance")
public class MessageInstance  extends CyIdIncreEntity<MessageInstance> {


     /**
     * @desc 消息标题（不能超过30个字符）
     * @column title
     * @default
     */
     @Excel(name = "消息标题（不能超过30个字符）", orderNum = "0", width = 20)
     private String title;

     /**
     * @desc 消息内容（不能超过300个字符）
     * @column content
     * @default
     */
     @Excel(name = "消息内容（不能超过300个字符）", orderNum = "1", width = 20)
     private String content;

     /**
     * @desc 消息模板id
     * @column template_id
     * @default
     */
     @Excel(name = "消息模板id", orderNum = "2", width = 20)
     private BigInteger templateId;

     /**
     * @desc 收件人id
     * @column recipient_id
     * @default
     */
     @Excel(name = "收件人id", orderNum = "3", width = 20)
     private BigInteger recipientId;

     /**
     * @desc 发布日期
     * @column push_time
     * @default
     */
     @Excel(name = "发布日期", orderNum = "4", width = 20)
     private Date pushTime;

     /**
     * @desc 状态（0未发布 ，1已发布）
     * @column status
     * @default
     */
     @Excel(name = "状态（0未发布 ，1已发布）", orderNum = "5", width = 20)
     private String status;

     /**
     * @desc 已读状态（0未读 1已读）已读时更新updatetime
     * @column read_flag
     * @default
     */
     @Excel(name = "已读状态（0未读 1已读）已读时更新updatetime", orderNum = "6", width = 20)
     private String readFlag;

     /**
     * @desc 0:系统推送，1：后台发布
     * @column type
     * @default
     */
     @Excel(name = "0:系统推送，1：后台发布", orderNum = "9", width = 20)
     private String type;

     /**
      * 邀请人id集合
      */
     @Transient
     @TableField(exist = false)
     private String userIds;

     /**
      * 超时未审核通知的访客数据
      */
     @Transient
     @TableField(exist = false)
     private List<VisitUser> users;

     /**
      * 访问审核结果通知的访客数据
      */
     @Transient
     @TableField(exist = false)
     private List<VisitUser> resultUsers;

     @Transient
     @TableField(exist = false)
     private String openIds;


}

