package org.rcisoft.sys.sysuser.dao;


import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.attendance.entity.Attendance;
import org.rcisoft.sys.attendance.entity.AttendanceSync;
import org.rcisoft.sys.sysuser.dto.VisitInfoUserDTO;
import org.rcisoft.sys.sysuser.entity.DoorRecord;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2022年11月24日 下午12:47:46.
 */
@Mapper
public interface DoorRecordRepository extends CyBaseMapper<DoorRecord> {

    void saveRecordData(DoorRecord recordData);

    int saveRecordDataList(@Param("list") List<DoorRecord> list);

    List<DoorRecord> queryDoorRecords(@Param("entity") DoorRecord doorRecord);

    /**
     * 分页查询 doorRecord
     */
    IPage<DoorRecord> queryDoorRecordsPaged(CyPageInfo cyPageInfo, @Param("entity") DoorRecord doorRecord);

    /**
     * 分页查询 doorRecord
     * yearEnd 年尾时间 用于条件查询
     */
    IPage<DoorRecord> queryDoorRecordsPagedWithCrossTimeRange(CyPageInfo cyPageInfo, @Param("entity")  DoorRecord doorRecord ,@Param("crossTimeRange") List<Date> crossTimeRange);

    //单个查询
    DoorRecord queryDoorRecordById(@Param("recordId")String recordId, @Param("crossTime")Date crossTime);

    int updateDoorRecordById(DoorRecord doorRecord);

    /**
     * 查询时间范围内员工的正常记录集合
     *
     * @param attendance
     * @return
     */
    List<DoorRecord> queryAttendance(@Param("attendance") Attendance attendance);

    List<DoorRecord> queryAttendance2(@Param("attendance") Attendance attendance);

    DoorRecord queryOneAttendance(@Param("attendance") Attendance attendance);

    /**
     * 分页查询 doorRecord
     * yearEnd 年尾时间 用于条件查询
     */
    IPage<VisitInfoUserDTO> queryVisitRecordsPagedWithCrossTimeRange(CyPageInfo cyPageInfo, @Param("entity")  VisitInfoUserDTO entity , @Param("crossTimeRange") List<Date> crossTimeRange);

}

