package org.rcisoft.sys.sysuser.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.sysuser.dto.SysDeptDTO;
import org.rcisoft.sys.sysuser.entity.SysDept;
import org.rcisoft.sys.sysuser.entity.SysUser;

import java.util.List;

/**
 * Created with cy on 2022年11月18日 上午9:03:23.
 */
@Mapper
public interface SysDeptRepositorys extends CyBaseMapper<SysDept> {


    List<SysDept> querySysDepts(@Param("entity") SysDept sysDept);

    /**
     * 分页查询 sysDept
     */
    IPage<SysDept> querySysDeptsPaged(CyPageInfo cyPageInfo, @Param("entity") SysDept sysDept);

    /**
     *  查找部门 用于树形结构
     * @param sysDept
     * @return
     */
    List<SysDeptDTO> queryTreeSysDepts(@Param("entity") SysDept sysDept);

    //单个查询
    SysDept querySysDeptById(String businessId);

    //查询部门
    List<SysUser> queryDept(SysUser sysUser);

    //根据id查询部门
    List<SysDept> queryDeptById(String deptId);

    SysDept getDeptById(String deptId);

    //根据部门名称查询
    SysDept querySysDeptByName(String deptName);

    //查询下级部门
    List<SysDept> queryDeptByPId(String businessId);

    //查询上级部门
    List<SysDept> queryDeptBySJ(String deptId);

    int saveJieLinkId(@Param("deptId") String deptId, @Param("businessId") Integer businessId, @Param("zktCode")String zktCode);

    int selectByZktCode(@Param("zktCode")String zktCode);
}

