package org.rcisoft.sys.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.sysuser.entity.SysUser;


@Data
public class ExportUserDTO extends CyIdIncreEntity<SysUser> {

    @JSONField(serialize = false)
    private String username;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "name", value = "用户姓名", required = true, dataType = "varchar")
    @Excel(name = "用户姓名", orderNum = "1", width = 15.0)
    private String name;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "sex", value = "用户性别（0男 1女 2未知）", required = true, dataType = "varchar")
    @Excel(name = "用户性别", orderNum = "1", width = 15.0)
    private String sex;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "phone", value = "手机号码", required = true, dataType = "varchar")
    @Excel(name = "手机号码", orderNum = "1", width = 15.0)
    private String phone;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "faceAddress", value = "人脸信息（可能第三方图片数据）", required = true, dataType = "varchar")
    private String faceAddress;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "address", value = "所属园区", required = true, dataType = "varchar")
    @Excel(name = "所属园区", orderNum = "1", width = 15.0)
    private String address;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "deptId", value = "所属部门id", required = true, dataType = "varchar")
    @Excel(name = "所属部门", orderNum = "1", width = 15.0)
    private String deptId;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "position", value = "职位（暂时数据字典，可能多个）", required = true, dataType = "varchar")
    @Excel(name = "职位", orderNum = "1", width = 15.0)
    private String position;

    @Excel(name = "显示顺序", orderNum = "1", width = 15.0)
    private String sort;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "nltBz", value = "班次", required = true, dataType = "varchar")
    @Excel(name = "班次", orderNum = "1", width = 15.0)
    private String nltBz;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "flag", value = "工作状态", required = true, dataType = "varchar")
    private String flag;

    @Excel(name = "人员编号", orderNum = "1", width = 15.0)
    private String pin;

    @Excel(name = "车牌号(注:中间加下划线，例：沪_XXXXXX,多个车牌用“,”隔开)", orderNum = "1", width = 15.0)
    private String carPlate;

    @Excel(name = "车辆属性(注:填“固定”或“临时”，多个用“,”隔开，与车牌号对应)", orderNum = "1", width = 15.0 )
    private String carAttr;

    private String userType;

    private String identity;

    //地址中文
    private String addressLabel;

    //职位中文
    private String positionLabel;

    //班次中文
    private String nltBzLabel;

    //是否显示考勤 默认0 （0-是,1-否）
    private String attendanceShow;
}
