package org.rcisoft.sys.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2022年11月16日 下午2:40:21.
 */
@Data
public class VisitInfoUserDTO  {

    /**
     * @desc 记录主键
     * @column record_id
     * @default
     */
    private String recordId;

    /**
     * @desc 触发时间(根据触发时间按年分表)
     * @column cross_time
     * @default
     */
    private Date crossTime;

    //登记日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String date;

    //进场时间
    @JsonFormat(pattern = "HH:mm", timezone = "GMT+8")
    private String inTime;

    //出场时间
    @JsonFormat(pattern = "HH:mm", timezone = "GMT+8")
    private String outTime;

    //来访单位/个人
    private String company;


    //访客姓名
    String name;

    //访客电话
    String phone;

    //访客身份证号
    String idCard;

    /**
     * @desc 访问事由
     * @column visit_reason
     * @default
     */
    private String visitReason;

    /**
     * @desc 邀请发起人id(员工id)
     * @column user_id
     * @default
     */
    private Integer userId;

    /**
     * @desc 发起人姓名
     * @column user_name
     * @default
     */
    private String userName;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String beginTime;

    //结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String endTime;

}

