package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.data.annotation.Transient;

import java.math.BigInteger;

/**
 * Created with cy on 2022年11月18日 上午9:03:23.
 */
@Data
@TableName("sys_dept")
public class SysDept extends CyIdIncreEntity<SysDept> {



    //上级部门名称中文
    @Transient
    @TableField(exist = false)
    private String parentDepartment;

    //权重
    @Transient
//    @TableField(exist = false)
    private String weight;

    //部门简称
    @Transient
//    @TableField(exist = false)
    private String deptNameAbbreviation;

    //排序
    @Transient
    @TableField(exist = false)
    private String px;

    /**
     * 开始时间
     */
    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String beginTime;

    //结束时间
    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String endTime;

    /**
     * @desc 父部门id
     * @column parent_id
     * @default
     */
    @Excel(name = "父部门id", orderNum = "0", width = 20)
    private BigInteger parentId;

    /**
     * @desc 祖级列表
     * @column ancestors
     * @default
     */
    @Excel(name = "祖级列表", orderNum = "1", width = 20)
    private String ancestors;

    /**
     * @desc 部门名称
     * @column dept_name
     * @default
     */
    @Excel(name = "部门名称", orderNum = "2", width = 20)
    private String deptName;

    /**
     * @desc 显示顺序
     * @column order_num
     * @default
     */
    @Excel(name = "显示顺序", orderNum = "3", width = 20)
    private Integer orderNum;

    /**
     * @desc 负责人
     * @column leader
     * @default
     */
    @Excel(name = "负责人", orderNum = "4", width = 20)
    private String leader;

    /**
     * @desc 联系电话
     * @column phone
     * @default
     */
    @Excel(name = "联系电话", orderNum = "5", width = 20)
    private String phone;

    /**
     * @desc 邮箱
     * @column email
     * @default
     */
    @Excel(name = "邮箱", orderNum = "6", width = 20)
    private String email;

    /**
     * @desc 部门编号
     * @column dept_code
     * @default
     */
    @Excel(name = "部门编号", orderNum = "7", width = 20)
    private String deptCode;

    //捷顺部门id
    private String departmentId;

    //万傲部门code
    private String zktCode;

    //办公地点
    private String location;
}

