package org.rcisoft.sys.sysuser.service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.sysuser.dto.VisitInfoUserDTO;
import org.rcisoft.sys.sysuser.entity.DoorRecord;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by cy on 2022年11月24日 下午12:47:46.
 */
@Service
public interface DoorRecordService {

    /**
    * 保存 通行记录信息表
    * @param doorRecord
    * @return
    */
    CyPersistModel persist(DoorRecord doorRecord);

    /**
    * 删除 通行记录信息表
    * @param doorRecord
    * @return
    */
    CyPersistModel remove(DoorRecord doorRecord);
    /**
    * 逻辑删除 通行记录信息表
    * @param doorRecord
    * @return
    */
    CyPersistModel removeLogical(DoorRecord doorRecord);
    /**
    * 修改 通行记录信息表
    * @param doorRecord
    * @return
    */
    CyPersistModel merge(DoorRecord doorRecord);

    /**
    * 根据id查询 通行记录信息表
    * @param doorRecord
    * @return
    */
    DoorRecord findById(DoorRecord doorRecord);

    /**
    * 分页查询 通行记录信息表
    * @param doorRecord
    * @return
    */
    IPage<DoorRecord> findAllByPagination(CyPageInfo<DoorRecord> paginationUtility,
              DoorRecord doorRecord);


    /**
    * 查询list 通行记录信息表
    * @param doorRecord
    * @return
    */
    List<DoorRecord> findAll(DoorRecord doorRecord);


    /**
    * 导出通行记录信息表
    * @return
    */
    List<DoorRecord> export(DoorRecord doorRecord);

    void saveRecordData(DoorRecord data);

    void saveRecordDataList(List<DoorRecord> data);

    /**
     * 分页查询 通行记录信息表
     * @param doorRecord
     * @return
     */
    IPage<VisitInfoUserDTO> queryVisitRecordByPagination(CyPageInfo<DoorRecord> paginationUtility,
                                                         VisitInfoUserDTO visitUser);
}
