package org.rcisoft.sys.sysuser.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.sys.sysuser.dto.SysDeptDTO;
import org.rcisoft.sys.sysuser.entity.SysDept;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by cy on 2022年11月18日 上午9:03:23.
 */
@Service
public interface SysDeptService {

    /**
    * 保存 部门表
    * @param sysDept
    * @return
    */
    CyPersistModel persist(SysDept sysDept);

    /**
    * 删除 部门表
    * @param sysDept
    * @return
    */
    CyPersistModel remove(SysDept sysDept);
    /**
    * 逻辑删除 部门表
    * @param sysDept
    * @return
    */
    CyPersistModel removeLogical(SysDept sysDept);
    /**
    * 修改 部门表
    * @param sysDept
    * @return
    */
    CyPersistModel merge(SysDept sysDept);

    /**
    * 根据id查询 部门表
    * @param business_id
    * @return
    */
    SysDept findById(String business_id);

    /**
    * 分页查询 部门表
    * @param sysDept
    * @return
    */
    IPage<SysDept> findAllByPagination(CyPageInfo<SysDept> paginationUtility,
              SysDept sysDept);

    /**
    * 查询 部门表
    * @param sysDept
    * @return
    */
    List<SysDeptDTO> findATreeSysDept(SysDept sysDept);


    /**
    * 查询list 部门表
    * @param sysDept
    * @return
    */
    List<SysDept> findAll(SysDept sysDept);


    /**
    * 导出部门表
    * @return
    */
    List<SysDept> export(SysDept sysDept);

}
