package org.rcisoft.sys.visit.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;



@Data
public class ExportVisitInfoDto {

    /**
     * @desc 邀请人姓名
     * @column user_name
     * @default
     */
    @Excel(name = "邀请人姓名", orderNum = "1", width = 20)
    private String userName;

    @Excel(name = "邀请人手机号",orderNum = "2",width = 20)
    private String phone;

    /**
     * @desc 访问事由
     * @column visit_reason
     * @default
     */
    @Excel(name = "访问事由", orderNum = "3", width = 20)
    private String visitReason;

    /**
     * @desc 访问区域
     * @column visit_region
     * @default
     */
    @Excel(name = "访问区域(多个用','分割)", orderNum = "4", width = 20)
    private String visitRegion;

    /**
     * @desc 访问日期
     * @column visit_date
     * @default
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "访问日期(格式 yyyy-MM-dd)", orderNum = "5", width = 30)
    private String visitDate;

    /**
     * @desc 访问时间
     * @column visit_time
     * @default
     */
    @Excel(name = "访问时间(格式 hh:mm)", orderNum = "6", width = 30)
    private String visitTime;

    /**
     * @desc 访客姓名
     * @default
     */
    @Excel(name = "访客姓名(多个用','分割)", orderNum = "7", width = 40)
    private String visitName;

    /**
     * @desc 访客手机号
     * @default
     */
    @Excel(name = "访客手机号(多个用','分割，和访客姓名对应)", orderNum = "8", width = 40)
    private String visitPhone;

    /**
     * @desc 访客身份证号
     * @default
     */
    @Excel(name = "访客身份证号(多个用','分割，和访客姓名对应，例：空白,1201111)", orderNum = "9", width = 60)
    private String idCard;

    /**
     * @desc 主访客手机号
     * @default
     */
    @Excel(name = "主访客手机号", orderNum = "10", width = 60)
    private String mainPhone;
}
