package org.rcisoft.sys.visit.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2022年11月16日 下午2:40:21.
 */
@Data
@TableName("visit_infomation")
public class VisitInfoMation extends CyIdIncreEntity<VisitInfoMation> {


    /**
     * @desc 邀请发起人id(员工id)
     * @column user_id
     * @default
     */
//    @Excel(name = "邀请人id(员工id)", orderNum = "0", width = 20)
    private Integer userId;

    /**
     * 邀访的guid
     */
    private String itemId;

    /**
     * @desc 发起人姓名
     * @column user_name
     * @default
     */
    @Excel(name = "邀请人姓名", orderNum = "1", width = 20)
    private String userName;

    /**
     * @desc 发起人所属部门
     * @column dept_name
     * @default
     */
    @Excel(name = "邀请人所属部门", orderNum = "2", width = 20)
    private String deptName;

    /**
     * @desc 发起人职务
     * @column post_name
     * @default
     */
    @Excel(name = "邀请人职务", orderNum = "3", width = 20)
    private String postName;

    /**
     * @desc 访问事由数据字典code
     * @column visit_reason_code
     * @default
     */
    private String visitReasonCode;

    @Transient // 查询输入的多选事由
    @TableField(exist = false)
    private String[] visitReasonCodes;

    @Transient // 查询输入的多选事由
    @TableField(exist = false)
    private String[] visitReasons;

    /**
     * @desc 访问事由
     * @column visit_reason
     * @default
     */
    @Excel(name = "访问事由", orderNum = "4", width = 20)
    private String visitReason;

    /**
     * @desc 其他访问事由
     * @column visit_reason_other
     * @default
     */
    private String visitReasonOther;

    /**
     * @desc 访问区域
     * @column visit_region
     * @default
     */
    @Excel(name = "访问区域", orderNum = "5", width = 20)
    private String visitRegion;

    /**
     * @desc 访问区域code
     * @column visit_region_code
     * @default
     */
    private String visitRegionCode;

    @Transient // 查询输入的多选事由
    @TableField(exist = false)
    private String[] visitRegionCodes;

    @Transient
    @TableField(exist = false)
    private String[] visitRegions;

//    /**
//     * 捷顺邀访记录ID
//     */
//    private String itemId;
    /**
     * @desc 访问日期
     * @column visit_date
     * @default
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "访问日期", orderNum = "6", width = 20,exportFormat = "yyyy-MM-dd")
    private Date visitDate;

    /**
     * @desc 访问时间
     * @column visit_time
     * @default
     */
    @Excel(name = "访问时间", orderNum = "7", width = 20)
    private String visitTime;

    /**
     * @desc 实际访问时间
     * @column visit_real_time
     * @default
     */
    @Excel(name = "访问时间", orderNum = "8", width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date visitRealTime;

    /**
     * @desc 访问状态（0 待访客确认 1 待审核 2已失效 3 未到访 4 已到访）
     * @column visit_status
     * @default
     */
    @Excel(name = "访问状态", orderNum = "9", width = 20)
    private String visitStatus;

    @Transient
    @TableField(exist = false)
    @Excel(name = "访客姓名", orderNum = "9", width = 20)
    String userArry;

    @Transient
    @TableField(exist = false)
    @Excel(name = "访客电话", orderNum = "10", width = 60)
    String phoneArry;

    @Transient
    @TableField(exist = false)
    @Excel(name = "访客身份证号", orderNum = "11", width = 60)
    String idCard;

    /**
     * @desc 主访客手机号
     * @default
     */
    @Transient
    @TableField(exist = false)
    @Excel(name = "主访客手机号", orderNum = "12", width = 20)
    private String mainPhone;

    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDateBegin;

    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDateEnd;

    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitDateBegin;

    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitDateEnd;

    /**(0-按按创建时间排序，1-按邀访时间排序，2-按访问日期排序)**/
    @Transient
    @TableField(exist = false)
    private String sort;

    /** 0-未来一周 1-未来三天 2-近三天 3-近一周 4-近一个月**/
    @Transient
    @TableField(exist = false)
    private String selectTime;

    /** 0-未到访问时间 1-已过到访时间**/
    @Transient
    @TableField(exist = false)
    private String boolVisit;

    /** 判断搜索条件是否存在其他访问事由 YES or NO**/
    @Transient
    @TableField(exist = false)
    private String boolExistOtherReason;

    @Transient //访客信息
    @TableField(exist = false)
    List<VisitUser> userList;

    @Transient //访客手机号（小程序登录用户手机号）
    @TableField(exist = false)
    private String phone;

    // 同步状态（0:未同步，1:已同步）
    private String synStatus;

    @Transient //  访客状态（0 待填写 1 待提交 2待审核 3未访问 4已访问 5 已失效）
    @TableField(exist = false)
    private String state;

    @Transient   // 访客类型 0-主访客 1-其他访客
    @TableField(exist = false)
    private String type;

    @Transient // 修改类型（1：提交审核 2：驳回）
    @TableField(exist = false)
    private String updateType;

    @Transient // 访客的userId
    @TableField(exist = false)
    private Integer fkUserId;

    /**
     * @desc 发起人性别 1-男 0-女
     * @default
     */
    @TableField(exist = false)
    private String userSex;
}

