package org.rcisoft.sys.visit.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("sys_user")
public class VisitPerson {
    @Excel(name = "姓名", orderNum = "0", width = 20)
    private String name;

    @Excel(name = "手机号",orderNum = "1",width = 20)
    private String phone;

    @Transient
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd  HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "首次到访时间",orderNum = "2",width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date firstDate;

    @Transient
    @TableField(exist = false)
    @Excel(name = "最近到访时间",orderNum = "2",width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lastDate;

    @Transient
    @TableField(exist = false)
    @Excel(name = "到访次数",orderNum = "3",width = 20)
    private int count;

    /**
     * @desc 黑名单状态（0不存在1存在）
     * @column blacklist_flag
     * @default
     * @default
     */
    @Excel(name = "状态（0白名单1黑名单）", orderNum = "4", width = 20)
    private String blacklistFlag;
}
