package org.rcisoft.sys.visit.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.data.annotation.Transient;

import java.util.Date;

/**
 * Created with cy on 2022年11月16日 下午4:30:18.
 */
@Data
@TableName("visit_user")
public class VisitUser extends CyIdIncreEntity<VisitUser> {


    /**
     * @desc 访问记录id
     * @column visit_id
     * @default
     */
    @Excel(name = "访问记录id", orderNum = "0", width = 20)
    private Integer visitId;

    /**
     * @desc 访客id
     * @column user_id
     * @default
     */
    private Integer userId;

    /**
     * 访客用户的guid
     */
    private String personId;

    /**
     * 是否到访
     */
    @Transient
    private String visitStatus;

    /**
     * @desc 访客姓名
     * @column user_name
     * @default
     */
    @Excel(name = "访客姓名", orderNum = "1", width = 20)
    private String userName;

    /**
     * @desc 访客手机号
     * @column visit_phone
     * @default
     */
    @Excel(name = "访客手机号", orderNum = "2", width = 20)
    private String visitPhone;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 访客类型 0 主访客 1 其他访客
     */
    private String type;

    /**
     * 访客状态（0 待填写 1 待提交 2待审核 3未访问 4已访问 5 已失效）
     */
    private String state;
    /**
     * 车牌号
     */
    private String carNumber;
    /**
     * 机构单位
     */
    private String company;

    private VisitInfoMation visitInfo;

    public VisitUser() {
    }

    public VisitUser(String userName, String visitPhone) {
        this.userName = userName;
        this.visitPhone = visitPhone;
    }

    @Transient
    public Date beginTime;

    @Transient
    public Date endTime;


    /**
     * 微信id
     */
    @Transient
    @TableField(exist = false)
    private String wxOpenid;

    public VisitUser(Integer userId, Date beginTime, Date endTime,String state) {
        this.userId = userId;
        this.beginTime = beginTime;
        this.endTime = endTime;
        this.state = state;
    }
}

