package org.rcisoft.sys.visit.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.sys.visit.entity.VisitInfoMation;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import javax.servlet.http.HttpServletRequest;

import java.util.List;

/**
 * 受邀人员获取邀请信息
 */
public interface InvitedPersonService {

    /**
     * 根据当前时间获取最近一次的访问安排
     */
    VisitInfoMation getLastVisitInfo(HttpServletRequest request);

    /**
     * 根据id获取受邀记录详情信息
     *
     * @param id 受邀记录id
     * @return
     */
    CyPersistModel getVisitInfoById(int id);

    /**
     * 根据条件查询邀请记录
     */

    IPage<VisitInfoMation> getVisitInfoListByPagination(CyPageInfo<VisitInfoMation> paginationUtility, VisitInfoMation visitInfomation, HttpServletRequest request);

    List<VisitUser> getVisitUserByPhone(String visitPhone);

    VisitUser getVisitUserById(int visitId);
}
