package org.rcisoft.sys.visit.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.sys.visit.dto.ImportVistUserDTO;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.ParseException;
import java.util.List;

/**
 * Created by cy on 2022年11月16日 下午4:30:18.
 */
public interface VisitUserService {

    /**
     * 保存 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    CyPersistModel persist(VisitUser visitUser);

    /**
     * 删除 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    CyPersistModel remove(VisitUser visitUser);

    /**
     * 逻辑删除 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    CyPersistModel removeLogical(VisitUser visitUser);

    /**
     * 修改 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    CyPersistModel merge(VisitUser visitUser);

    /**
     * 根据id查询 邀访访客信息表
     *
     * @param id
     * @return
     */
    VisitUser findById(int id);

    /**
     * 分页查询 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    IPage<VisitUser> findAllByPagination(CyPageInfo<VisitUser> paginationUtility,
                                         VisitUser visitUser);


    /**
     * 查询list 邀访访客信息表
     *
     * @param visitUser
     * @return
     */
    List<VisitUser> findAll(VisitUser visitUser);


    /**
     * 导出邀访访客信息表
     *
     * @return
     */
    List<VisitUser> export(VisitUser visitUser);

    int deleteByVisitId(int id);

    int exportEmptyTemplate(HttpServletResponse response);

    ImportVistUserDTO importVisitUserExcel(MultipartFile file, HttpServletResponse response) throws ParseException;

    String queryVisitPersonId(HttpServletRequest request, Integer visitId);
}
